Package com.destroystokyo.paper

# Interface Namespaced

All Known Implementing Classes:
  `NamespacedKey`, `NamespacedTag`

public interface Namespaced
Represents a namespaced resource, see `NamespacedKey` for single elements or `NamespacedTag` for a collection of elements Namespaces may only contain lowercase alphanumeric characters, periods, underscores, and hyphens.

Keys may only contain lowercase alphanumeric characters, periods, underscores, hyphens, and forward slashes.

You should not be implementing this interface yourself, use `NamespacedKey` or `NamespacedTag` as needed instead.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getKey()`
Gets the key corresponding to this resource
`@NotNull String`
`getNamespace()`
Gets the namespace this resource is a part of

## Method Details

### getNamespace

@NotNull @NotNull String getNamespace()
Gets the namespace this resource is a part of

This is contractually obligated to only contain lowercase alphanumeric characters, periods, underscores, and hyphens.

Returns:
  resource namespace

### getKey

@NotNull @NotNull String getKey()
Gets the key corresponding to this resource

This is contractually obligated to only contain lowercase alphanumeric characters, periods, underscores, hyphens, and forward slashes.

Returns:
  resource key